$(function() {
    $("#catlsit dd").hover(function() {
        $(this).children(".cat-child").fadeIn("slow");
        $(this).addClass("hover");
    }, function() {
        $(this).children(".cat-child").hide();
        $(this).removeClass("hover");
    });
    $(".topNewsList ul li").hover(function() {
        clearTimeout(refreshHotQueryTimer);
        setHotQueryList($(".topNewsList ul li").index(this));
    }, function() { refreshHotQueryTimer = setTimeout('refreshHotQuery();', 5000); });
    setHotQueryList(CurrentHotScreen);
    refreshHotQueryTimer = setTimeout('refreshHotQuery();', 5000);
})
var refreshHotQueryTimer = null;
var CurrentHotScreen = 0;
function setHotQueryList(screen) {
    if (screen >= $("#HotSearchList dd").length) { screen = 0; }
    $(".up").removeClass();
    $($(".topNewsList ul li").eq(screen)).addClass("up");
    $("#HotSearchList dd").hide();
    $($("#HotSearchList dd").eq(screen)).fadeIn("slow");
    CurrentHotScreen = screen;
}
function refreshHotQuery() {
    refreshHotQueryTimer = null;
    setHotQueryList(CurrentHotScreen + 1);
    refreshHotQueryTimer = setTimeout('refreshHotQuery();', 5000);
}